Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer
Interface IMonitoringWriter

All Superinterfaces:
  IMonitoringRecordReceiver

All Known Implementing Classes:
  AbstractAsyncFSWriter, AbstractAsyncWriter, AbstractAsyncZipWriter, AbstractMonitoringWriter, AsyncAsciiZipWriter, AsyncBinaryFsWriter, AsyncBinaryNFsWriter, AsyncBinaryZipWriter, AsyncDbWriter, AsyncDummyWriter, AsyncFsWriter, AsyncJMSWriter, DummyWriter, ExplorVizExportWriter, JMXWriter, PipeWriter, PrintStreamWriter, SyncDbWriter, SyncFsWriter, TCPWriter

    public interface IMonitoringWriter

extends IMonitoringRecordReceiver

Since:
  < 0.9
Author:
  Andre van Hoorn, Jan Waller, Robert von Massow

Method Summary
`boolean` | `newMonitoringRecord(IMonitoringRecord record)` Called for each new record.
`boolean` | `newMonitoringRecordNonBlocking(IMonitoringRecord record)` Called for each new record.
`void` | `setController(IMonitoringController monitoringController)` Set the `IMonitoringController` controlling this writer.
`void` | `terminate()` Called by the Monitoring Controller to announce a shutdown of monitoring.
`String` | `toString()` Delivers a string representation of this writer.

Method Detail

### newMonitoringRecord

    boolean newMonitoringRecord(IMonitoringRecord record)

  Called for each new record. Notice, that this method should not throw an exception, but indicate an error by the return value false.

  Specified by:
    `newMonitoringRecord` in interface `IMonitoringRecordReceiver`
  Parameters:
    `record` - the record.
  Returns:
    true on success; false in case of an error.
  Since:
    1.3

### newMonitoringRecordNonBlocking

    boolean newMonitoringRecordNonBlocking(IMonitoringRecord record)

  Called for each new record. Notice, that this method should not throw an exception, but indicate an error by the return value false. Also, this method MUST NOT block.

  Parameters:
    `record` - the record.
  Returns:
    true on success; false in case of an error.
  Since:
    1.9

### terminate

    void terminate()

  Called by the Monitoring Controller to announce a shutdown of monitoring. Writers should return as soon as it is safe to terminate Kieker.

  Since:
    1.3

### setController

    void setController(IMonitoringController monitoringController)
                       throws Exception

  Set the `IMonitoringController` controlling this writer.

  Parameters:
    `monitoringController` - The monitoring controller which will be the new parent of this writer.
  Throws:
    `Exception` - If something went wrong.
  Since:
    1.3

### toString

    String toString()

  Delivers a string representation of this writer.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string.
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net